From: "Horea Christian" <horea.christ@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-libs/pybids/
Date: Sun, 20 Sep 2020 00:42:30 +0000 (UTC) [thread overview]
Message-ID: <1600562537.9495e0d02bb06635fdff3fdc4aa92cd2bbca77ba.chymera@gentoo> (raw)
commit: 9495e0d02bb06635fdff3fdc4aa92cd2bbca77ba
Author: Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Sun Sep 20 00:42:17 2020 +0000
Commit: Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Sun Sep 20 00:42:17 2020 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=9495e0d0
sci-libs/pybids: version bump 0.11.1
Package-Manager: Portage-3.0.7, Repoman-3.0.1
Signed-off-by: Horea Christian <chr <AT> chymera.eu>
sci-libs/pybids/pybids-0.11.1.ebuild | 39 ++++++++++++++++++++++++++++++++++++
1 file changed, 39 insertions(+)
diff --git a/sci-libs/pybids/pybids-0.11.1.ebuild b/sci-libs/pybids/pybids-0.11.1.ebuild
new file mode 100644
index 000000000..8b30eeb0d
--- /dev/null
+++ b/sci-libs/pybids/pybids-0.11.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python package to access BIDS datasets"
+HOMEPAGE="https://github.com/INCF/pybids"
+SRC_URI="https://github.com/INCF/pybids/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+DEPEND=""
+RDEPEND="
+ dev-python/num2words[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/patsy[${PYTHON_USEDEP}]
+ dev-python/sqlalchemy[${PYTHON_USEDEP}]
+ sci-libs/bids-validator[${PYTHON_USEDEP}]
+ sci-libs/nibabel[${PYTHON_USEDEP}]
+ sci-libs/scipy[${PYTHON_USEDEP}]
+ "
+
+#RESTRICT="test"
+# Fails because fixtures are called directly
+# https://github.com/bids-standard/pybids/issues/289#issuecomment-476853673
+
+python_test() {
+ #rm bids/tests/test_config.py || die
+ distutils_install_for_testing
+ pytest -vv || die
+}
next reply other threads:[~2020-09-20 0:42 UTC|newest]
Thread overview: 15+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-09-20 0:42 Horea Christian [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-05-02 23:58 [gentoo-commits] proj/sci:master commit in: sci-libs/pybids/ Horea Christian
2022-07-11 13:15 Horea Christian
2022-07-11 13:15 Horea Christian
2021-01-15 20:43 Andrew Ammerlaan
2021-01-15 20:31 Andrew Ammerlaan
2020-12-24 11:06 Horea Christian
2020-12-23 8:19 Horea Christian
2020-12-23 8:16 Horea Christian
2020-05-08 5:09 Horea Christian
2020-03-24 7:23 Horea Christian
2020-01-10 13:29 Horea Christian
2020-01-10 13:26 Horea Christian
2018-08-02 15:55 Horea Christian
2018-05-23 0:25 Horea Christian
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1600562537.9495e0d02bb06635fdff3fdc4aa92cd2bbca77ba.chymera@gentoo \
--to=horea.christ@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox